
Name:		mageiawelcome
Version:	0.8.8
Release:	%mkrel 1
Summary:	%{_vendor} welcome screen
# Source from http://gitweb.mageia.org/software/mageiawelcome
# Use "make dist" to generate the tarball
Source:		%{name}-%{version}.tar.xz
Group:		System/Configuration
License:	GPL+
URL:		http://www.mageia.org/
BuildArch:	noarch
Requires:	python-webkitgtk
Requires:	python-simplejson

%description
%{_vendor} Welcome Screen shows important information of the %{_os} distribution.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}/css
mkdir -p %{buildroot}%{_datadir}/%{name}/img
mkdir -p %{buildroot}%{_datadir}/%{name}/js
install -m0755 usr/bin/%{name} %{buildroot}%{_bindir}
install -m0755 usr/bin/%{name}-launcher %{buildroot}%{_bindir}
make install
cp -r  usr/share/mageiawelcome/* %{buildroot}%{_datadir}/%name
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cp etc/xdg/autostart/%{name}.desktop %{buildroot}%{_sysconfdir}/xdg/autostart
# desktop menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cp ./%{_datadir}/applications/%{name}.desktop %{buildroot}%{_datadir}/applications

%find_lang %name 

%files -f %{name}.lang 
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-launcher
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%name



%changelog
* Sun Jan 26 2014 malo <malo> 0.8.8-1.mga4
+ Revision: 568377
- 0.8.8 with new translations and fix for icon in GNOME (mga#12409)

* Tue Jan 07 2014 malo <malo> 0.8.5-1.mga4
+ Revision: 565316
- 0.8.5 with updated translations

* Sun Dec 29 2013 malo <malo> 0.8.4-1.mga4
+ Revision: 562984
- update to 0.8.4

* Sat Dec 07 2013 ennael <ennael> 0.8.3-1.mga4
+ Revision: 555818
- add more languages
- improved look'n feel
- various bug fixes

* Mon Nov 11 2013 malo <malo> 0.8.2-1.mga4
+ Revision: 550546
- update to 0.8.2 (patch from napcok)

* Wed Nov 06 2013 tmb <tmb> 0.8.1-1.mga4
+ Revision: 549824
- update to 0.8.1

* Mon Oct 21 2013 umeabot <umeabot> 0.8-2.mga4
+ Revision: 537850
- Mageia 4 Mass Rebuild

  + ovitters <ovitters>
    - new version 0.8

* Fri Sep 27 2013 malo <malo> 0.7-1.mga4
+ Revision: 488004
- new version 0.7

* Thu Sep 26 2013 tmb <tmb> 0.6-1.mga4
+ Revision: 487029
- update to 0.6

* Tue Sep 17 2013 neoclust <neoclust> 0.5-1.mga4
+ Revision: 480978
- New version 0.5

* Wed Aug 28 2013 kamil <kamil> 0.3-2.mga4
+ Revision: 472673
- imported package mageiawelcome



* Wed Aug 28 2013 Daniel Napora <napcok@gmail.com> - 0.3-2
- version 0.3